Object.defineProperty(exports, "__esModule", { value: true });
// tslint:disable-next-line
require('util.promisify/shim')();
var types_1 = require("@sentry/types");
exports.Severity = types_1.Severity;
exports.Status = types_1.Status;
var core_1 = require("@sentry/core");
exports.addGlobalEventProcessor = core_1.addGlobalEventProcessor;
exports.addBreadcrumb = core_1.addBreadcrumb;
exports.captureException = core_1.captureException;
exports.captureEvent = core_1.captureEvent;
exports.captureMessage = core_1.captureMessage;
exports.configureScope = core_1.configureScope;
exports.getHubFromCarrier = core_1.getHubFromCarrier;
exports.getCurrentHub = core_1.getCurrentHub;
exports.Hub = core_1.Hub;
exports.Scope = core_1.Scope;
exports.setContext = core_1.setContext;
exports.setExtra = core_1.setExtra;
exports.setExtras = core_1.setExtras;
exports.setTag = core_1.setTag;
exports.setTags = core_1.setTags;
exports.setUser = core_1.setUser;
exports.withScope = core_1.withScope;
const core_2 = require("@sentry/core");
const minimal_1 = require("@sentry/minimal");
const node_1 = require("@sentry/node");
const client_1 = require("./client");
const integrations_1 = require("./integrations");
const net_1 = require("./transports/net");
var client_2 = require("./client");
exports.MainClient = client_2.MainClient;
var backend_1 = require("./backend");
exports.MainBackend = backend_1.MainBackend;
var node_2 = require("@sentry/node");
exports.NodeIntegrations = node_2.Integrations;
// tslint:disable-next-line:variable-name
exports.ElectronIntegrations = { Electron: integrations_1.Electron, OnUncaughtException: integrations_1.OnUncaughtException };
/**
 * Init call to node, if no transport is set, we use net of electron
 * @param options ElectronOptions
 */
function init(options) {
    const electronIntegrations = node_1.defaultIntegrations.filter(integration => integration.name !== 'OnUncaughtException');
    if (options.defaultIntegrations === undefined) {
        options.defaultIntegrations = [
            ...electronIntegrations,
            // tslint:disable-next-line:no-unbound-method
            new integrations_1.OnUncaughtException({ onFatalError: options.onFatalError }),
            new integrations_1.Electron(),
        ];
    }
    core_2.initAndBind(client_1.MainClient, Object.assign({ transport: net_1.NetTransport }, options));
}
exports.init = init;
/**
 * This function does nothing, call it in the renderer
 */
function showReportDialog() {
    // noop
}
exports.showReportDialog = showReportDialog;
/**
 * Uploads a native crash dump (Minidump) to Sentry.
 *
 * @param path The relative or absolute path to the minidump.
 * @param event Optional event payload to attach to the minidump.
 */
function captureMinidump(path, event = {}) {
    minimal_1._callOnClient('captureMinidump', path, event);
}
exports.captureMinidump = captureMinidump;
//# sourceMappingURL=index.js.map